# Record TCefZipReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefZipReader = record`

## Description

Structure that supports the reading of zip archives via the zlib unzip API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

Implemented by ICefZipReader.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_zip_reader_capi.h">CEF source file: /include/capi/cef_zip_reader_capi.h (cef_zip_reader_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `move_to_first_file: function(self: PCefZipReader): Integer; stdcall;`
| `move_to_next_file: function(self: PCefZipReader): Integer; stdcall;`
| `move_to_file: function(self: PCefZipReader; const fileName: PCefString; caseSensitive: Integer): Integer; stdcall;`
| `close: function(Self: PCefZipReader): Integer; stdcall;`
| `get_file_name: function(Self: PCefZipReader): PCefStringUserFree; stdcall;`
| `get_file_size: function(Self: PCefZipReader): Int64; stdcall;`
| `get_file_last_modified: function(Self: PCefZipReader): TCefBaseTime; stdcall;`
| `open_file: function(Self: PCefZipReader; const password: PCefString): Integer; stdcall;`
| `close_file: function(Self: PCefZipReader): Integer; stdcall;`
| `read_file: function(Self: PCefZipReader; buffer: Pointer; bufferSize: NativeUInt): Integer; stdcall;`
| `tell: function(Self: PCefZipReader): Int64; stdcall;`
| `eof: function(Self: PCefZipReader): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `move_to_first_file: function(self: PCefZipReader): Integer; stdcall;`
This item has no description.

| `move_to_next_file: function(self: PCefZipReader): Integer; stdcall;`
This item has no description.

| `move_to_file: function(self: PCefZipReader; const fileName: PCefString; caseSensitive: Integer): Integer; stdcall;`
This item has no description.

| `close: function(Self: PCefZipReader): Integer; stdcall;`
This item has no description.

| `get_file_name: function(Self: PCefZipReader): PCefStringUserFree; stdcall;`
This item has no description.

| `get_file_size: function(Self: PCefZipReader): Int64; stdcall;`
This item has no description.

| `get_file_last_modified: function(Self: PCefZipReader): TCefBaseTime; stdcall;`
This item has no description.

| `open_file: function(Self: PCefZipReader; const password: PCefString): Integer; stdcall;`
This item has no description.

| `close_file: function(Self: PCefZipReader): Integer; stdcall;`
This item has no description.

| `read_file: function(Self: PCefZipReader; buffer: Pointer; bufferSize: NativeUInt): Integer; stdcall;`
This item has no description.

| `tell: function(Self: PCefZipReader): Int64; stdcall;`
This item has no description.

| `eof: function(Self: PCefZipReader): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.